%define upstream_name Plack-Test-Agent
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    OO interface for testing low-level Plack/PSGI apps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Server::Simple::PSGI)
BuildRequires: perl(Modern::Perl)
BuildRequires: perl(Plack::Loader)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(open)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Plack::Test::Agent is an OO interface to test PSGI applications. It can
perform GET and POST requests against PSGI applications either in process or
over HTTP through a [Plack::Handler](https://metacpan.org/pod/Plack::Handler)
compatible backend.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.500.0-2.mga9
+ Revision: 1813331
- Mageia 9 Mass Rebuild

* Tue Oct 06 2020 tv <tv> 1.500.0-1.mga8
+ Revision: 1632367
- update to 1.5

* Wed Feb 12 2020 umeabot <umeabot> 1.400.0-5.mga8
+ Revision: 1496638
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.400.0-4.mga7
+ Revision: 1270530
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-3.mga6
+ Revision: 1032209
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.400.0-2.mga6
+ Revision: 969196
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.400.0-1.mga6
+ Revision: 864494
- imported package perl-Plack-Test-Agent

